Subject: RE: [Megaco] Clarification Of Multiplex Descriptor Text

From: "Tom-PT Taylor"<[email-masked]>
Date: Wed, 23 Jan 2002 09:06:18 -0500

Those multiplex properties you're talking about are a global characteristic
of H.324 systems.  It makes good sense to put them into TerminationState
because they describe transport on the exterior side, not the context side
of the termination.

I don't have time to follow through on this today, but perhaps I'll tackle a
complete description of the H.324 application when I have an idle moment.

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Wednesday, January 23, 2002 8:25 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Christian Groves; Clifford Sayre; megaco ietf
Subject: Re: [Megaco] Clarification Of Multiplex Descriptor Text

Hi,

>The LCNs are specific to one application, not a general multiplexing issue.
>(Although I suppose a similar issue arises with H.320, I also think H.320
>would need its own annex.)  I think the mapping has to be described in
Annex
>M.4 for H.324.

As long as it's somewhere :)

>The most obvious solution is as Christer indicated: an LCN property in
LocalControl.

Actually, I am not sure LocalControl is the correct place. Annex M.4
specifies the multiplex properties in the TerminationState descriptor,
so this information could be there. Note that Annex M.4 does not use a
Multiplex Termination (the multiplexing is done in the TDM termination),
and there are no stream descriptors defined for the LCNs. IF a
Multiplexing Termination is used, according to the H.248 core spec,
separate stream descriptor shall be defined for each LCN, and in that
case it could be a property in LocalControl.

Also, is there a specific reason why the H245 Message event, defined in
the H.245 Package (M4.5) can't be used for the H.245 backhauling???

Regards,

Christer Holmberg
Ericsson Finland

> 
> -----Original Message-----
> From: Christer Holmberg [mailto:[email-masked]]
> Sent: Tuesday, January 22, 2002 2:35 AM
> To: Christian Groves
> Cc: Taylor, Tom-PT [CAR:B800:EXCH]; Clifford Sayre; megaco ietf
> Subject: Re: [Megaco] Clarification Of Multiplex Descriptor Text
> 
> Hi,
> 
> >I don't think we can remove the whole chapter from the protocol at this
> >stage. I agree with Tom that we can do some call flows in a seperate
> >annex.
> 
> Oki.
> 
> >I'll add some text on the euphemeral terminations to the proposed
> clarification.
> 
> So, we shouldn't say anything about the Stream Descriptors in the Mux
> Termination? How they are mapped to the LCNs etc? Personally I don't
> care if it's said in the core spec, or in a separate Annex, but I don't
> understand what the purpose is to put stuff in the core which nobody can
> use :)
> 
> Does anyone know if there has been any response on this issue from SG16?
> 
> Regards,
> 
> Christer Holmberg
> Ericsson Finland
> 
> >
> > Regards, Christian
> >
> > Christer Holmberg wrote:
> > >
> > > Hi,
> > >
> > > >While we're on the topic of Annex M.4, I realized while reading it
that
> it
> > > >improperly (I think) includes some control terminations in the
> multiplex.
> > > >This may be water under the bridge now -- too late to do anything
about
> it.
> > > >
> > > >Anyway, Christer is asking for more than I would put into the core
> protocol
> > > >specification.  We should probably create an Informational RFC
> describing
> > > >multiplex use with examples, just as we should publish an
Informational
> RFC
> > > >giving example call flows.
> > >
> > > Why not removing the whole multiplex chapter from the core protocol,
> > > then, and putting it in a separate Annex, or something? The way it's
> > > defined now (even by adding the proposed changes) doesn't help anyone.
> > > You simply can't implement multiplexing with the info you get from
that
> > > text (you don't know how to map the LCNs, which btw also are
> > > uni-dirctional, to specific terminations etc etc) - and that's NOT
> > > enough in my opinion.
> > >
> > > I thought that the ITU people always wanted to specify everything very
> > > much in detail :)
> > >
> > > Regards,
> > >
> > > Christer Holmberg
> > > Ericsson Finland
> > >
> > > >
> > > > -----Original Message-----
> > > > From: Christer Holmberg [mailto:[email-masked]]
> > > > Sent: Monday, January 21, 2002 12:52 AM
> > > > To: Christian Groves
> > > > Cc: Taylor, Tom-PT [CAR:B800:EXCH]; Clifford Sayre; megaco ietf
> > > > Subject: Re: [Megaco] Clarification Of Multiplex Descriptor Text
> > > >
> > > > Hi,
> > > >
> > > > >I think that the H.324 package probably needs to be updated to say
> how
> > > > >this is done. I don't think its a core H.248 issue.
> > > >
> > > > I agree. The idea was that this property would be defined in the
H.324
> > > > package, and then used within each stream descriptor in the Mux
> > > > Termination.
> > > >
> > > > >Perhaps an IG note could be added for the H324 package? I'd like to
> see a
> > > > reply from the
> > > > > H324 package authors on how they thought this was to be done.
> > > >
> > > > >Are there any updates you'd like to see to proposed text on
> > > > MultiplexDescriptors that Tom posted?
> > > >
> > > > First, as Tom already mentioned, it should be updated so that it
also
> > > > includes emphemeral bearer terminations (RTP terminations, for
> example).
> > > >
> > > > Second, it should in detail, on a message level, describe how the
> > > > multiplexed connection is set up. Now it only says "use a stream
> > > > descriptor" - which means everyone is going to understand it their
own
> > > > way, and we are going to have lots of interop problems when people
> start
> > > > implementing this :)
> > > >
> > > > Third, it should also describe in detail how the H.223 (or whatever
> > > > multiplex method is used) descriptor is used, ie which terminations
> are
> > > > included etc, depending on on which "side" of the multiplexer the
> > > > terminations are.
> > > >
> > > > Fourth, I think the whole Annex M.4 misses some things, but that's
> > > > another discussion...
> > > >
> > > > I understand if you want to get this document ready before february,
> but
> > > > please let us do this correct from the beginning :)
> > > >
> > > > Regards,
> > > >
> > > > Christer Holmberg
> > > > Ericsson Finland
> > > >
> > > > >
> > > > > Regards, Christian
> > > > >
> > > > > Christer Holmberg wrote:
> > > > > >
> > > > > > Hi,
> > > > > >
> > > > > > I have read the document a few times, but even by having stream
> > > > > > descriptors in the mux termination, I still don't understand how
> each of
> > > > > > those stream descriptors are mapped to specific LNCs. Is the
> StreamID
> > > > > > supposed to be the same as the LCN number, or how is the mapping
> done?
> > > > > >
> > > > > > A very simple solution would be to add a "LCN property" (to the
> H.324
> > > > > > package, I assume) which would be used in the each stream
> descriptor to
> > > > > > specify to which LCN it is mapped.
> > > > > >
> > > > > > Comments?
> > > > > >
> > > > > > Regards,
> > > > > >
> > > > > > Christer Holmberg
> > > > > > Ericsson Finland
> > > > > >
> > > > > > Tom-PT Taylor wrote:
> > > > > > >
> > > > > > > I mentioned that several of us have been discussing additional
> text
> > > > for
> > > > > > > Multiplex Descriptors.  I have placed the proposed text as
> marked up
> > > > changes
> > > > > > > in the Megaco FTP site.  According to your taste, you can
> download
> > > > > > >
> > > >
>
ftp://standards.nortelnetworks.com/megaco/docs/Current/MuxDescription_with_N
> > > > > > > x64K.doc
> > > > > > > or
ftp://standards.nortelnetworks.com/megaco/docs/Current/MuxDescription_with_N
> > > > > > > x64K.pdf
> > > > > > >
> > > > > > > Based on my reply to Christer Holm yesterday (see "LCN
> Mapping"), this
> > > > > > > proposed text needs a further update.  The supporting bearers
> > > > contained by a
> > > > > > > multiplexing termination can be ephemeral as well as physical.
> > > > However, I
> > > > > > > believe it would be essential that any ephemrals mentioned in
a
> MUX
> > > > > > > descriptor already exist in the context, since their
properties
> are
> > > > probably
> > > > > > > not directly inferrable from those of the multiplexing
> termination.
> > > > > > >
> > > > > > > Tom Taylor
> > > > > > > [email-masked]
> > > > > > > Ph. +1 613 736 0961 (ESN 396 1490)
> > > > > > >
> > > > > > >
> > > > > > > _______________________________________________
> > > > > > > Megaco mailing list
> > > > > > > [email-masked]
> > > > > > > https://www1.ietf.org/mailman/listinfo/megaco
> > > > > >
> > > > > > _______________________________________________
> > > > > > Megaco mailing list
> > > > > > [email-masked]
> > > > > > https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 23 Jan 2002 19:28:40 +0200

Hi,

>because they describe transport on the exterior side, not the context side

I would say that properties related to the LCNs describe transport on
the context side, since they specify mappings to streams within the
Context. So, those kind of parameters should maybe (no matter if the
multiplexing is handled by the TDM termination or a specific
Multiplexing Termination) be defined in LocalControl, after all. We
should remember that LCN-to-Stream mapping is not a global
characteristic - they are specific for each stream.
 
>complete description of the H.324 application when I have an idle moment.

Thanks!

Regards,

Christer Holmberg
Ericsson Finland

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 23 Jan 2002 19:28:40 +0200

Hi,

 

Thanks!

Regards,

Christer Holmberg
Ericsson Finland